Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187822 - NullPointerException in WelcomePanel$WelcomePanelSwingUi.initialize(WelcomePanel.java:207) when RCP app is already installed
NullPointerException in WelcomePanel$WelcomePanelSwingUi.initialize(WelcomePa...
Status: VERIFIED FIXED
Product: installer
Classification: Unclassified
Component: Code
6.x
PC Mac OS X
: P3 (vote)
: 7.0
Assigned To: dlipin
issues@installer
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-19 07:36 UTC by dlipin
Modified: 2010-07-09 07:45 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dlipin 2010-06-19 07:36:21 UTC
Originally reported in Issue #187784:

 java.lang.reflect.InvocationTargetException
     at java.awt.EventQueue.invokeAndWait(EventQueue.java:1034)
     at javax.swing.SwingUtilities.invokeAndWait(SwingUtilities.java:1320)
     at
org.netbeans.installer.wizard.containers.SwingFrameContainer.updateWizardUi(SwingFrameContainer.java:214)
     at org.netbeans.installer.wizard.Wizard.next(Wizard.java:607)
     at
org.netbeans.installer.wizard.components.WizardAction$1.run(WizardAction.java:127)
 Caused by: java.lang.NullPointerException
     at
org.mycompany.installer.wizard.components.panels.WelcomePanel$WelcomePanelSwingUi.initialize(WelcomePanel.java:205)
     at
org.netbeans.installer.wizard.components.WizardComponent$WizardComponentUi.getSwingUi(WizardComponent.java:444)
     at
org.netbeans.installer.wizard.components.WizardPanel$WizardPanelUi.getSwingUi(WizardPanel.java:167)
     at
org.netbeans.installer.wizard.components.panels.ErrorMessagePanel$ErrorMessagePanelUi.getSwingUi(ErrorMessagePanel.java:99)
     at
org.mycompany.installer.wizard.components.panels.WelcomePanel$WelcomePanelUi.getSwingUi(WelcomePanel.java:152)
     at
org.netbeans.installer.wizard.containers.SwingFrameContainer.updateWizardUi(SwingFrameContainer.java:228)
     at
org.netbeans.installer.wizard.containers.SwingFrameContainer$1.run(SwingFrameContainer.java:216)
     at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:199)
     at java.awt.EventQueue.dispatchEvent(EventQueue.java:633)
     at
java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296)
     at
java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)
     at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201)
     at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196)
     at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188)
     at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Comment 1 dlipin 2010-06-19 07:46:07 UTC
Fixed in http://hg.netbeans.org/main/rev/d39510692a02
Comment 2 Quality Engineering 2010-06-20 03:11:05 UTC
Integrated into 'main-golden', will be available in build *201006200001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d39510692a02
User: Dmitry Lipin <dlipin@netbeans.org>
Log: Issue #187822 NullPointerException in WelcomePanel$WelcomePanelSwingUi.initialize(WelcomePanel.java:207) when RCP app is already installed
Comment 3 dlipin 2010-06-22 13:08:03 UTC
reyez,

Could you please verify that you can successfully create and run installer for RCP project on Mac using latest daily build? 
http://bits.netbeans.org/netbeans/trunk/nightly/latest/
Please also verify that you don't get empty screen on installer start. To reproduce - run installer, install the application, end the installation, and run installer again. You should see the message on the installer panel that the application is already installed (rather than empty screen).

Thanks.
Comment 4 reyez 2010-06-23 08:52:12 UTC
works again with latest build :)

thanks a lot for fixing the issue - that's really great support!
Comment 5 rbalada 2010-06-28 11:36:26 UTC
main #d39510692a02 transplanted to release691 #f49a45c76873
Comment 6 Jaromir Uhrik 2010-07-09 07:45:11 UTC
Verified that the fix is in the release691 repository.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo